Name:           canl-c
Version:        3.0.0
Release:    2%{?dist}
Summary:        EMI Common Authentication library - bindings for C

License:        Apache-2.0
URL:            http://www.eu-emi.eu
Source0:         http://scientific.zcu.cz/emi/emi.canl.c/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  c-ares-devel
BuildRequires:  flex
BuildRequires:  krb5-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  openssl-devel >= 1.1
BuildRequires:  perl-interpreter
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  tex(latex)
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(multirow.sty)

%description
This is the C part of the EMI caNl -- the Common Authentication Library.


%package        devel
Summary:        Development files for EMI caNl
Requires:       %{name} = %{version}-%{release}
Requires:       krb5-devel

%description    devel
This package contains development libraries and header files for EMI caNl.


%package        doc
Summary:        API documentation for EMI caNl
BuildArch:      noarch

%description    doc
This package contains API documentation for EMI caNl.


%package        examples
Summary:        Example programs of EMI caNl
Requires:       %{name} = %{version}-%{release}

%description    examples
This package contains client and server examples of EMI caNl.


%prep
%setup -q


%build
./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/README
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/canl.pdf
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la




%files
%license LICENSE
%doc ChangeLog README
%{_libdir}/libcanl_c.so.4
%{_libdir}/libcanl_c.so.4.*

%files devel
%{_includedir}/*.h
%{_libdir}/libcanl_c.so

%files doc
%license LICENSE
%doc canl.pdf

%files examples
%{_bindir}/*


%changelog
* Tue Jun 03 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.0.0-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-1
- initial build
